Package io.vertx.ext.auth.mongo

## Class MongoAuthorizationOptions

- java.lang.Object
- - io.vertx.ext.auth.mongo.MongoAuthorizationOptions

-     public class MongoAuthorizationOptions
      extends Object

  Options configuring Mongo authentication.
  Author:
    francoisprunier

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `MongoAuthorizationOptions()` |
    `MongoAuthorizationOptions​(JsonObject json)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getCollectionName()` |
    `String` | `getPermissionField()` |
    `String` | `getRoleField()` |
    `String` | `getUsernameField()` |
    `MongoAuthorizationOptions` | `setCollectionName​(String collectionName)` | The property name to be used to set the name of the collection inside the config.
    `MongoAuthorizationOptions` | `setPermissionField​(String permissionField)` | The property name to be used to set the name of the field, where the permissions are stored inside.
    `MongoAuthorizationOptions` | `setRoleField​(String roleField)` | The property name to be used to set the name of the field, where the roles are stored inside.
    `MongoAuthorizationOptions` | `setUsernameField​(String usernameField)` | The property name to be used to set the name of the field, where the username is stored inside.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MongoAuthorizationOptions

          public MongoAuthorizationOptions()

    - #### MongoAuthorizationOptions

          public MongoAuthorizationOptions​(JsonObject json)

  - ### Method Detail

    - #### getCollectionName

          public String getCollectionName()

    - #### setCollectionName

          public MongoAuthorizationOptions setCollectionName​(String collectionName)

      The property name to be used to set the name of the collection inside the config.
      Parameters:
        `collectionName` - the collection name
      Returns:
        a reference to this, so the API can be used fluently

    - #### getUsernameField

          public String getUsernameField()

    - #### setUsernameField

          public MongoAuthorizationOptions setUsernameField​(String usernameField)

      The property name to be used to set the name of the field, where the username is stored inside.
      Parameters:
        `usernameField` - the username field
      Returns:
        a reference to this, so the API can be used fluently

    - #### getRoleField

          public String getRoleField()

    - #### setRoleField

          public MongoAuthorizationOptions setRoleField​(String roleField)

      The property name to be used to set the name of the field, where the roles are stored inside.
      Parameters:
        `roleField` - the role field
      Returns:
        a reference to this, so the API can be used fluently

    - #### getPermissionField

          public String getPermissionField()

    - #### setPermissionField

          public MongoAuthorizationOptions setPermissionField​(String permissionField)

      The property name to be used to set the name of the field, where the permissions are stored inside.
      Parameters:
        `permissionField` - the permission field
      Returns:
        a reference to this, so the API can be used fluently